Publish a chart

POST
https://api.datawrapper.de/v3/charts/{id}/publish

Requires scopes chart:read *and* chart:write *and* theme:read *and* visualization:read.

Example Request

curl --request POST \
  --url https://api.datawrapper.de/v3/charts/example-id/publish \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "callWebhooks": true
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Path Parameters

NameTypeAllowed valuesRequiredDescription
idstring
5 characters
Yes

Request Body

FieldTypeAllowed valuesRequiredDescription
waitForImagesboolean NoWait for images to be published before completing publish. Overrides team configuration for this option. Only available with access to the image publishing feature.
callWebhooksboolean
Default: true
NoCall any configured webhooks / integrations after publishing.

Response

FieldTypeRequiredDescription
dataobjectNo
versionintegerNo
urlstringNo